/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\watercityvendors\SBHides.cs
Lines of code: 55
***********************************************************/


using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBHides : SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBHides()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( Hides ), 4, 20, 0x1079, 0 ) );
				Add( new GenericBuyInfo( typeof( SpinedHides ), 40, 20, 0x1079, 2220 ) );
				Add( new GenericBuyInfo( typeof( HornedHides ), 70, 20, 0x1079, 2117 ) );
				Add( new GenericBuyInfo( typeof( BarbedHides ), 100, 20, 0x1079, 2129 ) );
			
				Add( new GenericBuyInfo( typeof( LeatherGorget ), 16, 20, 0x13C7, 0 ) );
				Add( new GenericBuyInfo( typeof( LeatherCap ), 5, 20, 0x1DB9, 0 ) );
				Add( new GenericBuyInfo( typeof( LeatherArms ), 18, 20, 0x13CD, 0 ) );
				Add( new GenericBuyInfo( typeof( LeatherChest ), 24, 20, 0x13CC, 0 ) );
				Add( new GenericBuyInfo( typeof( LeatherLegs ), 18, 20, 0x13CB, 0 ) );
				Add( new GenericBuyInfo( typeof( LeatherGloves ), 16, 20, 0x13C6, 0 ) );

				Add( new GenericBuyInfo( typeof( StuddedGorget ), 25, 20, 0x13D6, 0 ) );
				Add( new GenericBuyInfo( typeof( StuddedArms ), 28, 20, 0x13DC, 0 ) );
				Add( new GenericBuyInfo( typeof( StuddedChest ), 37, 20, 0x13DB, 0 ) );
				Add( new GenericBuyInfo( typeof( StuddedLegs ), 33, 20, 0x13DA, 0 ) );
				Add( new GenericBuyInfo( typeof( StuddedGloves ), 22, 20, 0x13D5, 0 ) );

				Add( new GenericBuyInfo( typeof( FemaleStuddedChest ), 31, 20, 0x1C02, 0 ) );
				Add( new GenericBuyInfo( typeof( FemalePlateChest ), 103, 20, 0x1C04, 0 ) );
				Add( new GenericBuyInfo( typeof( FemaleLeatherChest ), 18, 20, 0x1C06, 0 ) );
				Add( new GenericBuyInfo( typeof( LeatherShorts ), 14, 20, 0x1C00, 0 ) );
				Add( new GenericBuyInfo( typeof( LeatherSkirt ), 12, 20, 0x1C08, 0 ) );
				Add( new GenericBuyInfo( typeof( LeatherBustierArms ), 12, 20, 0x1C0A, 0 ) );
				Add( new GenericBuyInfo( typeof( LeatherBustierArms ), 15, 20, 0x1C0B, 0 ) );
				Add( new GenericBuyInfo( typeof( StuddedBustierArms ), 25, 20, 0x1C0C, 0 ) );
				Add( new GenericBuyInfo( typeof( StuddedBustierArms ), 23, 20, 0x1C0D, 0 ) );

				Add( new GenericBuyInfo( typeof( Bag ), 3, 20, 0xE76, 0 ) );
				Add( new GenericBuyInfo( typeof( Pouch ), 3, 20, 0xE79, 0 ) );
				Add( new GenericBuyInfo( typeof( Backpack ), 7, 20, 0x9B2, 0 ) );
				Add( new GenericBuyInfo( typeof( Leather ), 7, 20, 0x1081, 0 ) );

				Add( new GenericBuyInfo( typeof( SkinningKnife ), 7, 20, 0xEC4, 0 ) );

				Add( new GenericBuyInfo( "1041279", typeof( TaxidermyKit ), 50000, 20, 0x1EBA, 0 ) );

			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
		}
	}
}